Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4"
}
response = client.agents.list_versions(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/agent/version/list \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4"
}'[
{
"version_id": "69c228845c764b0c5ef71944",
"agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
"version": "1.0.0",
"assistant_config": "{...}",
"knowledge_base": {},
"tools": [],
"call_forwarding": null,
"created_at": "2026-03-24 06:00:36",
"deployed": false
},
{
"version_id": "69c228b11e62cb42009fe445",
"agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
"version": "1.0.1",
"assistant_config": "{...}",
"knowledge_base": {},
"tools": [],
"call_forwarding": null,
"created_at": "2026-03-24 06:01:21",
"deployed": true
}
]{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Agent Versions
List agent versions
Lists all versions for an agent.
POST
/
agent
/
version
/
list
Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4"
}
response = client.agents.list_versions(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/agent/version/list \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4"
}'[
{
"version_id": "69c228845c764b0c5ef71944",
"agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
"version": "1.0.0",
"assistant_config": "{...}",
"knowledge_base": {},
"tools": [],
"call_forwarding": null,
"created_at": "2026-03-24 06:00:36",
"deployed": false
},
{
"version_id": "69c228b11e62cb42009fe445",
"agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
"version": "1.0.1",
"assistant_config": "{...}",
"knowledge_base": {},
"tools": [],
"call_forwarding": null,
"created_at": "2026-03-24 06:01:21",
"deployed": true
}
]{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Authorizations
Your SuperU API key.
Body
application/json
Request body for List agent versions.
Agent Version List Request schema.
Agent ID
Example:
"04cf74f7-019b-4c3d-883c-610a42b32bc4"

